@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');
@import 'reset.css';

@font-face {
	font-family: 'Talina';
	src: url("talina-webfont.woff2") format("woff2");
	font-weight: 900;
}

body {
	--red: #cc152f;
	background: var(--red);
	color: white;
	font-family: Rubik, sans-serif;
	font-weight: 250;
	line-height: 1.2;
}

#container {
	width: 100%;
	max-width: 1200px;
	margin: 0 auto;
	padding: 0 1rem;
	box-sizing: border-box;
/*	container-name: main;*/
}

header {
	padding: 2rem 0;
}

#logo  {
	width: 150px;
	max-width: 50%;
}

#hero {
	max-width: 50%;
	display: block;
	margin: 0 auto;
	margin-bottom: 2rem;
}

h1 {
	font-family: Talina, sans-serif;
	font-weight: 900;
	text-transform: uppercase;
	line-height: 0.85;
	margin-bottom: 2rem;
	font-size: 2rem;
}

.lede {
	font-size: 1.25rem;
	font-weight: 450;
	line-height: 1.2;
	margin-bottom: 2rem;
}

p {
	margin-bottom: 2rem;
}

.button {
	color: var(--red);
	background: white;
	text-decoration: none;
	display: block;
	font-weight: 450;
	padding: 1em 3em;
	border-radius: 1000px;
	text-align: center;
	margin-bottom: 2rem;
}

@media (min-width: 600px) {
	html {
		font-size: clamp(0.5rem, 1vw, 1rem);
	}

	body {
	  font-size: 1.5rem;
	}

	#container {
		padding: 0 2rem;
	}

	#logo  {
		width: 192px;
	}

	main {
		display: flex;
		gap: 4rem;
		align-items: center;
	}

	#hero {
		max-width: 35%;
	}

	h1 {
		font-size: 7.25rem;
	}

	.lede {
		font-size: 2.25rem;
	}

	.button {
		display: inline-block;
	}
}